*** Makefile.wii	Fri Jun 24 23:32:29 2011
--- Makefile.wii	Wed Nov  3 07:45:49 2010
***************
*** 26,42 ****
  include $(DEVKITPPC)/wii_rules
  
  TARGET = yabause.elf
  DDEFINES=
! VDEFINES=-DPACKAGE=\"yabause-wii\" -DVERSION=\"0.9.6\" -DWORDS_BIGENDIAN -DREENTRANT_SYSCALLS_PROVIDED
! MACHDEP = -DGEKKO -mcpu=750 -meabi -mhard-float
! CFLAGS=$(VDEFINES) $(DDEFINES) -g -O2 -mrvl -Wall $(MACHDEP) -I$(LIBOGC_INC)
! LDFLAGS= -g $(MACHDEP) -mrvl -Wl,-Map,$(notdir $@).map
! LIBS := -lfat -lwiiuse -lbte -logc -lm
  OBJS = bios.o cdbase.o cheat.o coffelf.o cs0.o cs1.o cs2.o debug.o \
! error.o m68kcore.o m68kc68k.o m68kd.o memory.o netlink.o peripheral.o \
! profile.o scsp.o scu.o sh2core.o sh2idle.o sh2int.o sh2d.o smpc.o vdp1.o \
  vdp2.o vidshared.o vidsoft.o yabause.o ygl.o c68k/c68k.o c68k/c68kexec.o \
! wii/yui.o wii/perwii.o wii/sndwii.o
  DEPSDIR = $(CURDIR)
  export LD := $(CC)
  export LIBPATHS := -L$(LIBOGC_LIB)
--- 26,61 ----
  include $(DEVKITPPC)/wii_rules
  
  TARGET = yabause.elf
+ #  
  DDEFINES=
! DDEFINES+= -DUSE_WIIGX
! #DDEFINES+= -DWIIAUDIO_THREAD
! #DDEFINES+= -DHIGHRESO
! DDEFINES+= -DWIICONVERTASM
! #
! DDEFINES+= -Dmain=SDL_main
! DDEFINES+= -DHAVE_LIBSDL
! DDEFINES+= -DEXEC_FROM_CACHE
! DDEFINES+= -DOPTIMIZED_DMA
! DDEFINES+= -DHAVE_Q68
! #
! #DDEFINES+= -DDEBUG
! VDEFINES=-DPACKAGE=\"yabause-wii\" -DVERSION=\"ver.\ Unofficial\ r2604\ beta17\" -DWORDS_BIGENDIAN -DREENTRANT_SYSCALLS_PROVIDED
! #MACHDEP = -DGEKKO -mcpu=750 -meabi -mhard-float -fsigned-char
! MACHDEP = -DGEKKO -mcpu=750 -meabi -mhard-float -fsigned-char -fomit-frame-pointer -ffast-math -funroll-loops -fauto-inc-dec -finline-functions
! #CFLAGS=$(VDEFINES) $(DDEFINES) -g -O2 -mrvl -Wall $(MACHDEP) -I$(LIBOGC_INC)
! CFLAGS=$(VDEFINES) $(DDEFINES) -O3 -mrvl -Wall $(MACHDEP) -I$(LIBOGC_INC)
! #LDFLAGS= -g $(MACHDEP) -mrvl -Wl,-Map,$(notdir $@).map
! LDFLAGS= $(MACHDEP) -mrvl -Wl,-Map,$(notdir $@).map
! #LIBS := -lfat -lwiiuse -lbte -logc -lm
! LIBS := -lSDL -lfat -lwiiuse -lwiikeyboard -lbte -logc -lm -lmxml
  OBJS = bios.o cdbase.o cheat.o coffelf.o cs0.o cs1.o cs2.o debug.o \
! error.o m68kcore.o m68kc68k.o movie.o m68kd.o memory.o netlink.o peripheral.o \
! profile.o scu.o sh2core.o sh2idle.o sh2int.o sh2d.o smpc.o sndsdl.o snddummy.o vdp1.o \
  vdp2.o vidshared.o vidsoft.o yabause.o ygl.o c68k/c68k.o c68k/c68kexec.o \
! wii/yui.o wii/perwii.o wii/sndwii.o wii/iowii.o \
! m68kq68.o q68/q68.o q68/q68-core.o q68/q68-disasm.o \
! scsp.o
  DEPSDIR = $(CURDIR)
  export LD := $(CC)
  export LIBPATHS := -L$(LIBOGC_LIB)
